containers-0.6.7: Assorted concrete container types

Safe Haskell | Safe
Language | Haskell2010

Utils.Containers.Internal.StrictPair

Description

A strict pair

Synopsis

- data StrictPair a b = !a :*: !b
- toPair :: StrictPair a b -> (a, b)

# Documentation

data StrictPair a b Source #

The same as a regular Haskell pair, but

    (x :*: _|_) = (_|_ :*: y) = _|_

Constructors

!a :*: !b infixr 1 |

toPair :: StrictPair a b -> (a, b) Source #

Convert a strict pair to a standard pair.